-- dropuser grms2
-- createuser grms2
-- dropdb grms-2.3_jobreg
-- createdb -U grms2 -W grms-2.3_jobreg
-- psql -d grms-2.3_jobreg -U grms2 -W

-- drop table if exists grms_repository_job;
drop table grms_repository_job;
create table grms_repository_job (
  job_rep_job_id	serial,
  
  job_id				text,
  project 				text,
  description	        text,
  user_description		text,
  user_description_type int,
  note                  text,
  user_dn				text,
  my_proxy_user			text,
  my_proxy_name			text,
  proxy_valid_to		bigint,
  submission_time		bigint,
  finish_time			bigint,
  status				int,
  last_status_change    bigint,
  request_status		int,
  state_description		text,
  active_tasks_counter	int,
  notifications         text,
  created_wds           int,

  flags		            int
);


-- drop table if exists grms_repository_task;
drop table grms_repository_task;
create table grms_repository_task (
  job_rep_task_id		serial,
  
  job_id				text,
  task_id				text,
  complex_id			text,
  project 				text,
  user_dn				text,
  my_proxy_user			text,
  my_proxy_name			text,
  proxy_valid_to		bigint,
  status				int,
  last_status_change    bigint,
  request_status		int,
  status_description	text,
  extension				text,
  application_type		int,
  constraints_count		int,
  trigger_states		bigint,

  submission_time		bigint,
  start_time			bigint,
  finish_time			bigint,
  sched_start_time		bigint,
  sched_finish_time		bigint,

  task_description		text,
  user_description_type int,
  note                  text,

  notifications         text,

  workflow_expr         bytea,

  created_wds           int,

  flags                 int
);


-- drop table if exists grms_repository_coallocation;
drop table grms_repository_coallocation;
create table grms_repository_coallocation (
  job_rep_coalloc_id	serial,
  
  coallocation_id		text,
  job_id				text,
  task_id				text,

  project               text,

  res_man_contact		text,
  res_man_contact_dn		text,
  host_name				text,
  frontend_host_name	text,

  allocation_id         text,
  local_reservation_id  text,

  slot_start_time		bigint,
  slot_stop_time		bigint,

  wall_time             bigint,

  proxy_user_dn			text,
  my_proxy_user			text,
  my_proxy_name			text,

  working_directory		text,
  processes_group_id	text,
  processes_count		text,

  local_job_id			text,
  notification_id       text,
  local_iface_type		int,

  local_submission_time	bigint,
  local_start_time		bigint,
  local_finish_time		bigint,

  local_status			int,
  submission_time		bigint,
  finish_time			bigint,
  status				int,
  last_status_change    bigint,
  request_status		bigint,
  required_status		int,
  status_description	text,

  job_execution			text,

  notifications         text,

  created_wds           int,

  cred_expired          int,
  flags                 int,

  properties            text
);


-- drop table if exists grms_repository_filedir;
drop table grms_repository_filedir;
create table grms_repository_filedir (
  job_rep_filedir_id	serial,

  coallocation_id		text,

  location			text,
  file_name			text,
  user_name			text,
  store_type		smallint,
  physical_type		smallint,
  logical_type		smallint,
  append 			boolean,
  required			boolean,
  permissions		text,
  status		    smallint,
  properties		text
);


-- drop table if exists grms_repository_reservations;
drop table grms_repository_reservations;
create table grms_repository_reservations (
  job_rep_reservation_id  serial,

  reservation_id	      text,

  description	        text,
  user_description		text,
  user_description_type int,

  user_dn		text,
  note		text,
  submission_time	bigint,
  status		int,
  status_description  text
);


-- drop table if exists grms_repository_allocations;
drop table grms_repository_allocations;
create table grms_repository_allocations (
  job_rep_allocation_id  serial,

  allocation_id	      text,
  reservation_id      text,

  status              int,
  id                  text,
  local_id            text,
  service_address     text,
  origin              int,
  slots               int,
  starts              bigint,
  ends                bigint,
  in_use              int,
  hostname            text,
  group_id            text,
  nodes               text
);


-- drop table if exists grms_repository_refs;
drop table grms_repository_refs;
create table grms_repository_refs (
    job_rep_ref_id      serial,

    job_id				text,
    name                text,
    url                 text
);

-- --------------------------------------------------------------------------------------------
-- broker cache tables

-- drop table if exists grms_repository_job_active;
drop table grms_repository_job_active;
create table grms_repository_job_active (
  job_rep_job_id	serial,
  
  job_id				text,
  project 				text,
  description	        text,
  user_description		text,
  user_description_type int,
  note                  text,
  user_dn				text,
  my_proxy_user			text,
  my_proxy_name			text,
  proxy_valid_to		bigint,
  submission_time		bigint,
  finish_time			bigint,
  status				int,
  last_status_change    bigint,
  request_status		int,
  state_description		text,
  active_tasks_counter	int,
  notification_epr      text,
  notifications         text,
  created_wds           int,
  flags		            int
);


-- drop table if exists grms_repository_task_active;
drop table grms_repository_task_active;
create table grms_repository_task_active (
  job_rep_task_id		serial,
  
  job_id				text,
  task_id				text,
  complex_id			text,
  project               text,
  user_dn				text,
  my_proxy_user			text,
  my_proxy_name			text,
  proxy_valid_to		bigint,
  status				int,
  last_status_change    bigint,
  request_status		int,
  status_description	text,
  extension				text,
  application_type		int,
  constraints_count		int,
  trigger_states		bigint,

  submission_time		bigint,
  finish_time			bigint,
  start_time			bigint,
  sched_start_time		bigint,
  sched_finish_time		bigint,

  task_description		text,
  user_description_type int,
  note                  text,

  notifications         text,

  workflow_expr         bytea,

  created_wds           int,
  flags                 int
);


-- drop table if exists grms_repository_coallocation_active;
drop table grms_repository_coallocation_active;
create table grms_repository_coallocation_active (
  job_rep_coalloc_id	serial,
  
  coallocation_id		text,
  job_id				text,
  task_id				text,

  project               text,

  res_man_contact		text,
  res_man_contact_dn		text,
  host_name				text,
  frontend_host_name	text,

  allocation_id         text,
  local_reservation_id  text,

  slot_start_time		bigint,
  slot_stop_time		bigint,

  wall_time             bigint,

  proxy_user_dn			text,
  my_proxy_user			text,
  my_proxy_name			text,

  working_directory		text,
  processes_group_id	text,
  processes_count		text,

  local_job_id			text,
  notification_id		text,
  local_iface_type		int,

  local_submission_time	bigint,
  local_start_time		bigint,
  local_finish_time		bigint,


  local_status			int,
  submission_time		bigint,
  finish_time			bigint,
  status				int,
  last_status_change    bigint,
  request_status		bigint,
  required_status		int,
  status_description	text,

  job_execution			text,

  notifications         text,

  created_wds           int,

  cred_expired          int,
  flags                 int,

  properties            text
);


-- drop table if exists grms_repository_filedir_active;
drop table grms_repository_filedir_active;
create table grms_repository_filedir_active (
  job_rep_filedir_id	serial,

  coallocation_id		text,

  location			text,
  file_name			text,
  user_name			text,
  store_type		smallint,
  physical_type		smallint,
  logical_type		smallint,
  append 			boolean,
  required			boolean,
  permissions		text,
  status		    smallint,
  properties		text
);


-- drop table if exists grms_repository_reservations_active;
drop table grms_repository_reservations_active;
create table grms_repository_reservations_active (
  job_rep_reservation_id  serial,

  reservation_id	      text,

  description	        text,
  user_description		text,
  user_description_type int,

  user_dn		text,
  note		text,
  submission_time	bigint,
  status		int,
  status_description  text
);


-- drop table if exists grms_repository_allocations_active;
drop table grms_repository_allocations_active;
create table grms_repository_allocations_active (
  job_rep_allocation_id  serial,

  allocation_id	      text,
  reservation_id      text,

  status              int,
  id                  text,
  local_id            text,
  service_address     text,
  origin              int,
  slots               int,
  starts              bigint,
  ends                bigint,
  in_use              int,
  hostname            text,
  group_id            text,
  nodes               text
);


-- drop table if exists grms_repository_refs_active;
drop table grms_repository_refs_active;
create table grms_repository_refs_active (
    job_rep_ref_id      serial,

    job_id				text,
    name                text,
    url                 text
);
