#!/bin/bash

. @@@ETC_DIR@@@/db-backup.prop

date=`date +%H:%M_%Y-%m-%d`
db_name=@@@DB_NAME@@@
db_user=@@@DB_USER@@@

backup_dir=@@@VAR_DIR@@@/backup/db-backups
name_schema=${db_name}-${date}.tar
name_regexp="${db_name}-*.tar"


if [ ! -d "$backup_dir" ]; then
	mkdir -p $backup_dir
fi


# create db dump
# -a data-only
# -f output file
# -F t  format as tar binary file
# -U {user}
PGPASSFILE=@@@SHARE_DIR@@@/broker/tools/.pgpass pg_dump -a -F t -f $backup_dir/$name_schema -U $db_user $db_name

# rotates dumps
ls $backup_dir/$name_regexp | sort | head --lines=-3 | xargs rm -f



LAST_BACKUP=`ls $backup_dir/$name_regexp | sort | tail -1`

ssh $USER@$HOST mv $REMOTE_BACKUP $REMOTE_BACKUP.$DEPRECIATED
echo LAST=$LAST_BACKUP
scp $LAST_BACKUP $USER@$HOST:$REMOTE_BACKUP
