#!/bin/bash

# memory error mail recipients
MAIL_RECIPIENTS=@@@ADMIN_EMAIL@@@

free_mbs=0;


check_free_space() {
	local status;

	free_mbs=`df -B M | grep '/$' | awk '{ print substr($3, 0, length($3) - 1); }'`
#	echo "free mb: $free_mbs"

	status=0
	if [ "$free_mbs" -lt 400 ]; then
		status=1
	fi
	
	return $status
}


send_email() {
	local to="$1"
	local subject="$2"
	local body="$3"

	echo "$body" | mail -s "$subject" "$to"
}


check_free_space
if [ $? -ne 0 ]; then
	# mail info
	hostname=`hostname`
	date=`date "+%F %R"`
	send_email "$MAIL_RECIPIENTS"\
		"QCG broker out ouf free disk space" \
		"$date: detected out of free disk space at $hostname (only $free_mbs MB left)"
fi
