#!/bin/sh

QCG_LOCATION=`dirname $0`
ANT_CONFIG_XML=$QCG_LOCATION/.qcg_config/ant.config.xml

case "$1" in
	
#	deploy-path)
#		path=$2
#		[ ! -z "$path" ] || { echo "deploy-path: no path passed"; exit 1; }
#		[   -d "$path" ] || { echo "deploy-path: '$path' isn't directory"; exit 1; }
#
#		echo "replacing deploy directory with path [$path]"
#		sed -i -e "s,^\(deploy.dir\s*=\)\s*.*\$,\1 $DEPLOY_DIR," "/etc/qcg/qcg-broker/global-config.prop"
#		;;

	initdb)
		echo "checking configuration change"
		(ant -q -Dbasedir=$QCG_LOCATION -f $ANT_CONFIG_XML reconfigure > /dev/null 2>&1)

		echo "rebuilding database ..."

		while true; do
			read -p "WARNING: This action will remove any existing data in QCG database, do you want to continue (yes/no)? " yn
			case $yn in
				[Yy][eE][sS] ) break;;
				[Nn][oO] ) exit;;
				* ) echo "Please answer yes or no.";;
			esac
		done

		(ant -q -Dbasedir=$QCG_LOCATION -f $ANT_CONFIG_XML setupdb)
		;;


	configure)
		(ant -q -Dbasedir=$QCG_LOCATION -f $ANT_CONFIG_XML -Dcopy.overwrite=true configure)
		echo "configuration reloaded"
		;;

	reconfigure)
		echo "checking configuration change"
		(ant -q -Dbasedir=$QCG_LOCATION -f $ANT_CONFIG_XML reconfigure > /dev/null 2>&1)
		;;


	*)
		echo "Usage: $0 {initdb|configure|reconfigure}"
		exit 1
		;;
esac

exit 0
